curl --request GET \
--url https://api.honcho.dev/v3/workspaces/{workspace_id}/peers/{peer_id}/context \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.honcho.dev/v3/workspaces/{workspace_id}/peers/{peer_id}/context"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.honcho.dev/v3/workspaces/{workspace_id}/peers/{peer_id}/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"peer_id": "<string>",
"target_id": "<string>",
"representation": "<string>",
"peer_card": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Peer Context
Get context for a peer, including their representation and peer card.
This endpoint returns a curated subset of the representation and peer card for a peer. If a target is specified, returns the context for the target from the observer peer’s perspective. If no target is specified, returns the peer’s own context (self-observation).
This is useful for getting all the context needed about a peer without making multiple API calls.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional target peer to get context for, from the observer's perspective. If not provided, returns the observer's own context (self-observation)
Optional query to curate the representation around semantic search results
Only used if search_query is provided. Number of semantic-search-retrieved conclusions to include
1 <= x <= 100Only used if search_query is provided. Maximum distance for semantically relevant conclusions
0 <= x <= 1Whether to include the most frequent conclusions in the representation
Maximum number of conclusions to include in the representation
1 <= x <= 100Response
Successful Response
Context for a peer, including representation and peer card.
The ID of the peer
The ID of the target peer being observed
A curated subset of the representation of the target peer from the observer's perspective
The peer card for the target peer from the observer's perspective
Was this page helpful?